import '../../../../../../food_delivery_client.dart';

class WBasketHeader extends StatelessWidget {
  const WBasketHeader({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisSize: MainAxisSize.max,
      children: [
        8.verticalSpace,
        Align(
          alignment: AlignmentGeometry.centerRight,
          child: InkWell(
            borderRadius: BorderRadius.circular(99),
            onTap: () {},
            child: Ink(
              decoration: BoxDecoration(
                color: AppColors.cEEEEEE,
                borderRadius: BorderRadius.circular(99),
              ),
              child: Row(
                spacing: 10,
                mainAxisSize: MainAxisSize.min,
                children: [
                  Image.asset(
                    AppIcons.icOrders,
                    height: 20,
                    width: 20,
                    fit: BoxFit.cover,
                  ),
                  Text(context.loc.orders, style: AppTextStyles.size14Medium),
                ],
              ).paddingSymmetric(vertical: 10, horizontal: 16),
            ),
          ),
        ),
        Align(
          alignment: AlignmentGeometry.centerLeft,
          child: Text(context.loc.cartsTitle, style: AppTextStyles.size36Bold),
        ),
      ],
    ).paddingSymmetric(horizontal: 15);
  }
}
